Cyberduck Mountain Duck CLI

#711 closed defect (fixed)

crashes when trying to enter a new ftp address via Open Connection.

Reported by: rdn2@… Owned by: dkocher
Priority: highest Milestone: 2.6.2
Component: core Version: 2.6.1
Severity: major Keywords:
Cc: john@…, haddon@…, arobertson@…, info@…, tdsells@…, tofias@… Architecture:
Platform:

Description

I just dicovered that I can crash 2.6.1 everytime by clicking Open Connection and then starting to type an ftp address in. This in on a Macbook 1.83 with 2GB of RAM Mac OS X 10.4.7. If I add the address as a bookmark everything works fine.

Change History (14)

comment:1 Changed on Aug 26, 2006 at 7:59:13 AM by dkocher

  • Severity changed from normal to major
  • Status changed from new to assigned

comment:2 Changed on Aug 26, 2006 at 8:17:41 AM by dkocher

  • Cc john@… haddon@… arobertson@… info@… tdsells@… tofias@… added
  • Milestone set to 2.6.5

comment:3 Changed on Aug 26, 2006 at 8:17:54 AM by dkocher

This seems to be a Intel specific issue. As a workaround open Terminal.app and type

defaults write ch.sudo.cyberduck connection.hostname.check false

and restart Cyberduck.app or use the quick connect field to connect instead.

I am wondering if the same issue also shows when setting up a new bookmark. Any feedback appreciated; please write a short comment to this ticket.

comment:4 Changed on Aug 26, 2006 at 1:06:20 PM by dkocher

  • Milestone changed from 2.6.5 to 2.6.2

comment:5 Changed on Sep 1, 2006 at 6:22:29 AM by gjwithers@…

I tried the edit in Terminal, as suggested above, but it still crashes on me.

comment:6 Changed on Sep 2, 2006 at 4:41:17 AM by thuldai@…

Same here, the workaround did not work really. Instead of crashing while entering the hostname it only crashed when entering the username, so some improvement.

What did work was to type the text somewhere else (e.g. Terminal) and then to copy-paste it into Cyberduck.

Using an iMac Intel 2.0GHz here.

I still love Cyberduck though...

comment:7 Changed on Sep 2, 2006 at 4:43:29 AM by thuldai@…

I still was using the "Open Connection" field though, I only saw the quick connect hint now. When typing into 'quick connect', nothing bad happened.

comment:8 Changed on Sep 2, 2006 at 10:05:02 AM by dkocher

  • Priority changed from normal to highest

comment:9 Changed on Sep 4, 2006 at 7:55:52 PM by catraxx

This seems to be a Intel specific issue.

It's not. I'm on a G4 800mhz dp Quicksilver and have the same problem.

comment:10 Changed on Sep 6, 2006 at 5:08:19 PM by anonymous

Not Intel specific. I'm on a Dual 2.0 G5 ppc with the same problem.

comment:11 Changed on Sep 6, 2006 at 11:31:43 PM by edman007x@…

i'm on a MacBookPro and i'm getting this problem, incase it is useful, here is some crash reporter stuff

[url=http://iris.nyit.edu/~emarti07/cyberduck.txt]clickey[/url]

comment:12 Changed on Sep 7, 2006 at 9:58:31 AM by dkocher

Everyone, please test against the latest nightly build (2394) available at http://update.cyberduck.ch/nightly/

comment:13 Changed on Sep 7, 2006 at 10:05:33 AM by dkocher

0   com.apple.CoreFoundation      	0x908342ce CFRunLoopAddTimer + 44
1   com.apple.AppKit              	0x933ffdc1 -[NSTextView(NSSharing) updateInsertionPointStateAndRestartTimer:] + 2093
2   com.apple.AppKit              	0x93402f0a -[NSTextView(NSSharing) setSelectedRanges:affinity:stillSelecting:] + 2049
3   com.apple.AppKit              	0x934024e3 -[NSTextView(NSSharing) setSelectedRange:] + 63
4   com.apple.AppKit              	0x934133d1 syncTextWithTextView + 727
5   com.apple.AppKit              	0x933bff12 -[NSActionCell setObjectValue:] + 332
6   com.apple.AppKit              	0x933bfb1e -[NSCell setStringValue:] + 140
7   com.apple.AppKit              	0x933ed5e0 -[NSControl validateEditing] + 60
8   com.apple.AppKit              	0x933ed57b -[NSActionCell stringValue] + 99
9   libAppKitJava.B.dylib         	0x97721014 Java_com_apple_cocoa_application_NSControl_stringValue + 90

comment:14 Changed on Sep 7, 2006 at 10:52:55 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

Should be fixed as of r2395.

Note: See TracTickets for help on using tickets.
swiss made software